[SciPy-User] installing numpy and scipy for preinstalled Python 2.6 on Mac

David Cournapeau cournape@gmail....
Wed Jul 11 08:17:28 CDT 2012


Hi Naser,

On Wed, Jul 11, 2012 at 3:43 AM, Naser Nikandish <n.nikandish@gmail.com> wrote:
> Hello,
>
> I am new to the whole numpy and scipy world. I was going to install both but
> I read mixed things about installation problems compatibility etc. Here is
> the system I am using:
>
> Mac OS Lion 10.7
> I am using Python 2.6 that comes preinstalled on Mac. The reason I am not
> using Python 10.7 is that I need to use Gurobi which at the moments can be
> used by Python 2.6 on Mac.

Can you use python 2.6 installed from www.python.org ?

If so, I would strongly suggest installing just that, and then use the
official binaries from numpy and scipy for python 2.6. Otherwise, you
will have to build it by yourself, which is not trivial

David


More information about the SciPy-User mailing list